import { EmitterContext, ExportFlexCommandShape, ProcessedCommandEmitter } from 'side-code-export';
import { CommandShape } from '@seleniumhq/side-model';
export declare const emitters: Record<string, ProcessedCommandEmitter>;
declare function register(command: string, emitter: ProcessedCommandEmitter): void;
declare function emit(command: CommandShape, context: EmitterContext): Promise<ExportFlexCommandShape>;
declare function emitWaitForWindow(): Promise<{
    name: string;
    commands: {
        level: number;
        statement: string;
    }[];
    generateMethodDeclaration: (name: string) => string;
}>;
declare function emitNewWindowHandling(command: CommandShape, emittedCommand: ExportFlexCommandShape): Promise<string>;
declare const _default: {
    emit: typeof emit;
    emitters: Record<string, ProcessedCommandEmitter>;
    register: typeof register;
    extras: {
        emitNewWindowHandling: typeof emitNewWindowHandling;
        emitWaitForWindow: typeof emitWaitForWindow;
    };
};
export default _default;
//# sourceMappingURL=command.d.ts.map